# Get platform account statement Get statement for a specified Platform Account Endpoint: GET /monitor/platform/accounts/{platformAccountId}/statement Version: 4.0.0 Security: Bearer ## Path parameters: - `platformAccountId` (string, required) The RippleNet platform account ID that you want to get a statement for. Example: bitso ## Query parameters: - `start-date` (string, required) The lower bound of the date-time range you want to return statement information for, as an ISO-8601 timestamp in UTC. For example, 2018-08-06T23:13:55.997Z. - `end-date` (string, required) The upper bound of the date-time range you want to return statement information for, as an ISO-8601 timestamp in UTC For example, 2018-08-06T23:15:13.218Z. - `page` (integer) The page number for paginated results. The value is zero-based, where 0 represents the first page. Set it to 0 to get the first page of results. - `size` (integer) Number of payment and transfer objects to return per page. ## Response 200 fields (application/json): - `account_name` (string, required) Name of the account the statement covers. Example: "trans_usd_sf" - `start_datetime` (string, required) Lower bound of the date-time range the statement covers, as an ISO-8601 timestamp in UTC. Example: "2018-08-06T23:13:55.997Z" - `end_datetime` (string, required) Upper bound of the date-time range the statement covers, as an ISO-8601 timestamp in UTC. Example: "2020-08-06T23:13:55.997Z" - `generated_at` (string, required) Time at which the statement was generated, as an ISO-8601 timestamp in UTC. Example: "2019-10-01T21:58:23.621Z" - `currency` (string, required) Currency supported by the account. Example: "USD" - `owner` (string, required) Owner of the account Example: "rn.us.ca.san_francisco" - `opening_balance` (number, required) Opening balance of the account for the given date range. - `closing_balance` (number, required) Closing balance of the account for the given date range. Example: -909 - `transactions` (object, required) Provides a content array of statement record objects and a set of pagination information fields. - `transactions.content` (array, required) Provides an array of statement record objects. - `transactions.content.transaction_id` (string, required) ID of the payment or transfer that caused an account balance change. Example: "9eca588f-e89d-4629-82fa-da9c4646310f" - `transactions.content.transaction_type` (string, required) Type of transaction that caused an account balance change. Enum: "PAYMENT", "TRANSFER", "EXCHANGE_TRANSFER" - `transactions.content.transaction_state` (string, required) Current state of the payment or transfer. Example: "COMPLETED" - `transactions.content.balance_change` (number, required) Account balance change caused by the transaction. Example: -15 - `transactions.content.balance_result` (number, required) Account balance after the transaction. Example: -909 - `transactions.content.created_at` (string, required) Time at which the transaction was created, as an ISO-8601 timestamp in UTC. Example: "2019-10-01T21:28:28.354Z" - `transactions.content.end_to_end_id` (string, required) ID that the sender of a transaction can specify. Persisted on all xCurrent instances that participated in the transaction. Example: "91ecb6bd-4dd8-4b53-a900-72b79f3064e4" - `transactions.content.internal_id` (string, required) Internal identifier that the sender can optionally specify. Only visible to the sender. Only the sending xCurrent instance stores this ID. Example: "8afd8e99-4ad4-4f4e-9bb7-018ad8c3a89c" - `transactions.content.venue_id` (string) The id from an exchange associated with a transaction involving an exchange account. Example: "nz7RpAujYgnQtjEM" - `transactions.content.transaction_hash` (string) Hash representing the unique identifier for the transfer of funds in the XRP ledger. Example: "DB0AFC09E0A94FC1D11F8CBABA48A184E27094F8DD32FCBC46F316E98011E2A6" - `transactions.content.returns_payment_with_id` (string, required) The payment_id of the original payment that this payment returns, if this is a returned payment. Always set to null if the transaction_type is set to TRANSFER. - `transactions.content.returned_by_payment_with_id` (string, required) The payment_id of the return payment that returned this payment, if this is a returned payment. Always set to null if the transaction_type is set to TRANSFER. - `transactions.content.balance_change_created_at` (string) Timestamp of when the balance change was created Example: "2019-10-01T21:28:28.354Z" - `transactions.content.sender_address` (string, required) RippleNet address of the sending account. Always set to null if the transaction_type is set to TRANSFER. Example: "rn.us.ca.san_francisco" - `transactions.content.receiver_address` (string, required) RippleNet address of the recieving account. Always set to null if the transaction_type is set to TRANSFER. Example: "rn.mx.mexico" - `transactions.total_elements` (integer, required) total elements in paginated response Example: 1 - `transactions.sort` (string, required) retained for backward compatibility - `transactions.first` (boolean, required) true if this is the first page. Example: true - `transactions.last` (boolean, required) true if this is the last page. Example: true - `transactions.number` (integer, required) page number - `transactions.numberOfElements` (integer, required) Number Of elements in this request Example: 1 - `transactions.size` (integer, required) page size Example: 10 - `transactions.totalPages` (integer, required) Total number of pages for the given request Example: 1 ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"